Package org.linphone.core

# Enum Class AccountCreator.ActivationCodeStatus

java.lang.Object
java.lang.Enum<AccountCreator.ActivationCodeStatus>
org.linphone.core.AccountCreator.ActivationCodeStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<AccountCreator.ActivationCodeStatus>`, `Constable`

Enclosing interface:
  AccountCreator

public static enum AccountCreator.ActivationCodeStatus extends Enum<AccountCreator.ActivationCodeStatus>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`InvalidCharacters`
Contain invalid characters.
`Ok`
Activation code ok.
`TooLong`
Activation code too long.
`TooShort`
Activation code too short.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AccountCreator.ActivationCodeStatus`
`fromInt(int value)`
`int`
`toInt()`
`static AccountCreator.ActivationCodeStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccountCreator.ActivationCodeStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Ok

public static final AccountCreator.ActivationCodeStatus Ok
Activation code ok.

### TooShort

public static final AccountCreator.ActivationCodeStatus TooShort
Activation code too short.

### TooLong

public static final AccountCreator.ActivationCodeStatus TooLong
Activation code too long.

### InvalidCharacters

public static final AccountCreator.ActivationCodeStatus InvalidCharacters
Contain invalid characters.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AccountCreator.ActivationCodeStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccountCreator.ActivationCodeStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AccountCreator.ActivationCodeStatus fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()